Bug 829310 - [abrt] kernel: kernel BUG at mm/mmap.c:479!
[abrt] kernel: kernel BUG at mm/mmap.c:479!
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:e2e28fa24ae19d6d603850f34f6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 08:49 EDT by Suren Karapetyan
Modified: 2012-07-16 09:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-16 09:47:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suren Karapetyan 2012-06-06 08:49:50 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.7-1.fc16.x86_64 root=/dev/mapper/vg_pacho-lv_root ro rd.md=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 rd.lvm.lv=vg_pacho/lv_swap LANG=en_US.UTF-8 rd.lvm.lv=vg_pacho/lv_root
kernel:         3.3.7-1.fc16.x86_64
reason:         kernel BUG at mm/mmap.c:479!
time:           Wed 06 Jun 2012 02:59:57 PM AMT

backtrace:
:kernel BUG at mm/mmap.c:479!
:invalid opcode: 0000 [#1] SMP 
:CPU 2 
:Modules linked in: tcp_lp ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc lockd be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ftp w83627ehf hwmon_vid coretemp nf_conntrack_ipv4 nf_defrag_ipv4 xt_state ip6table_filter nf_conntrack ip6_tables snd_hda_codec_hdmi snd_hda_codec_via snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm vhost_net macvtap macvlan tun virtio_net kvm_intel snd_timer eeepc_wmi snd kvm asus_wmi r8169 iTCO_wdt mii soundcore sparse_keymap i2c_i801 serio_raw rfkill snd_page_alloc iTCO_vendor_support microcode uinput binfmt_misc sunrpc nouveau ttm drm_kms_helper drm i2c_core mxm_wmi video wmi [last unloaded: scsi_wait_scan]
:Pid: 11035, comm: plugin-containe Not tainted 3.3.7-1.fc16.x86_64 #1 System manufacturer System Product Name/P8H61-M LX2
:RIP: 0010:[<ffffffff8114ba5a>]  [<ffffffff8114ba5a>] vma_adjust+0x57a/0x580
:RSP: 0018:ffff88019591fc68  EFLAGS: 00010287
:RAX: ffff880195a5b2c0 RBX: ffff88017e9d3160 RCX: ffff88019591fcd8
:RDX: 00007f9762b6c000 RSI: 00007f9762b4c000 RDI: ffff88017e9d3258
:RBP: ffff88019591fd18 R08: ffff88019591fce0 R09: ffff880195a5b2f8
:R10: ffff880195a5b2f8 R11: ffff880195841580 R12: ffff88022c71f9a0
:R13: ffff8801fe3f2048 R14: 0000000000000000 R15: ffff88017e470dc0
:FS:  00007f97810229c0(0000) GS:ffff88023f500000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
:CR2: 00007f9741a2f000 CR3: 00000001f9804000 CR4: 00000000000406e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process plugin-containe (pid: 11035, threadinfo ffff88019591e000, task ffff8801b19f8000)
:Stack:
: dead000000200200 ffffffff81151be1 0000000000000000 00000007f9762b8c
: 00007f9762b6c000 0000000000000000 0000000000000000 00007f9762b6f000
: 00000000fe3f2048 0000000000000000 ffff8801cae40380 0000000000000000
:Call Trace:
: [<ffffffff81151be1>] ? anon_vma_clone+0x51/0x1a0
: [<ffffffff8114bbc9>] __split_vma+0x169/0x270
: [<ffffffff8114c423>] do_munmap+0x353/0x3a0
: [<ffffffff8114ca1f>] mmap_region+0x9f/0x510
: [<ffffffff81180c42>] ? do_sync_write+0xd2/0x110
: [<ffffffff8114d1d8>] do_mmap_pgoff+0x348/0x360
: [<ffffffff8114d331>] sys_mmap_pgoff+0x141/0x230
: [<ffffffff810d3a76>] ? __audit_syscall_exit+0x3d6/0x410
: [<ffffffff810189e2>] sys_mmap+0x22/0x30
: [<ffffffff815fc529>] system_call_fastpath+0x16/0x1b
:Code: 85 ed 0f 85 85 fb ff ff e9 45 ff ff ff 0f 1f 40 00 b8 f4 ff ff ff e9 cd fc ff ff 0f 0b 49 8b 57 10 48 39 50 08 0f 83 61 fe ff ff <0f> 0b 0f 1f 40 00 55 48 89 e5 48 83 ec 40 48 89 5d d8 4c 89 65 
:RIP  [<ffffffff8114ba5a>] vma_adjust+0x57a/0x580
: RSP <ffff88019591fc68>
Comment 1 Dave Jones 2012-06-06 18:33:33 EDT
That's

BUG_ON(__vma && __vma->vm_start < vma->vm_end);


We'll have a 3.4 build ready for F16 next week. It'll be interesting to hear if you can repeat this with that kernel.
Comment 2 Suren Karapetyan 2012-06-07 02:42:14 EDT
Well I'll try to trigger it. Though it's not too easy to trigger (has something to do with sleep-restore cycles IIRC)
Comment 3 Dave Jones 2012-07-12 12:10:23 EDT
any reoccurance of this on recent kernels ?
Comment 4 Suren Karapetyan 2012-07-15 06:34:47 EDT
Haven't seen it for a long time. I think it's fixed.
Comment 5 Josh Boyer 2012-07-16 09:47:42 EDT
Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.